Kommentar
Åtkomst till den här sidan kräver auktorisering. Du kan prova att logga in eller ändra kataloger.
Åtkomst till den här sidan kräver auktorisering. Du kan prova att ändra kataloger.
Create a vendorPaymentJournal object in Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
POST businesscentralPrefix/companies({id})/vendorPaymentJournals
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body
In the request body, supply a JSON representation of vendorPaymentJournals object.
Response
If successful, this method returns 201 Created response code and a vendorPaymentJournals object in the response body.
Example
Request
Here's an example of a request.
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/vendorPaymentJournals
Content-type: application/json
{
"code": "OTTER",
"displayName": "Otter cash receipts and payments",
"balancingAccountId": "021c2ed0-021d-ed11-9db9-000d3aa935da"
}
Response
Here's an example of the response.
HTTP/1.1 201 Created
Content-type: application/json
{
"id": "1377cc08-eb23-ed11-88e7-f2834877f72d",
"code": "OTTER",
"displayName": "Otter cash receipts and payments",
"balancingAccountId": "021c2ed0-021d-ed11-9db9-000d3aa935da",
"balancingAccountNumber": "10700",
"lastModifiedDateTime": "2022-08-24T20:26:30.03Z"
}
Related information
Tips for working with the APIs
vendorPaymentJournal
Get vendorPaymentJournal
Delete vendorPaymentJournal
Update vendorPaymentJournal